| ghc-6.10.4: The GHC API | Contents | Index

SetLevels

Documentation
setLevels :: FloatOutSwitches -> [CoreBind] -> UniqSupply -> [LevelledBind]
data Level

Constructors

InlineCtxt |
Level Int Int |

Instances

Eq Level
Outputable Level

tOP_LEVEL :: Level
type LevelledBind = TaggedBind Level
type LevelledExpr = TaggedExpr Level
incMinorLvl :: Level -> Level
ltMajLvl :: Level -> Level -> Bool
ltLvl :: Level -> Level -> Bool
isTopLvl :: Level -> Bool
isInlineCtxt :: Level -> Bool
Produced by Haddock version 2.4.2